> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download payment batch payments

> Download all payments submitted in a payment batch.



## OpenAPI

````yaml /autogenerated/openapi/payment-batch.openapi.json post /payment-batches/{paymentBatchId}/payments/download
openapi: 3.1.0
info:
  title: Payment Batch API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /payment-batches/{paymentBatchId}/payments/download:
    post:
      tags:
        - Payment Batches
      summary: Download payment batch payments
      description: Download all payments submitted in a payment batch.
      operationId: downloadPaymentBatchPayments
      parameters:
        - name: paymentBatchId
          in: path
          required: true
          schema:
            type:
              - string
            maxLength: 36
            format: uuid
            description: The unique ID of the Payment Batch.
        - name: content-type
          in: header
          schema:
            description: Indicates the format of the downloaded file.
            type:
              - string
            enum:
              - text/csv
              - application/json
          required: true
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: statuses
          in: query
          schema:
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - created
                    - validated
                    - confirmed
                    - started
                    - completed
                    - failed
                  description: The status of the Payment.
            enum:
              - created
              - validated
              - confirmed
              - started
              - completed
              - failed
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties: {}
              example: {}
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                example: null
      security:
        - CommonAuth:
            - payment-batches:read:any
            - payment-batches:read:own
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request POST \
              --url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/payments/download?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {}
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````